# Copyright 2022 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

import time
import serial.tools.list_ports
from time import sleep
from serial import Serial

modem_port = "/dev/ttyUSB1"

def send_at(port, at_command):
    print("Use Port:", port)
    try:
        ser = Serial(port, 11520, timeout=1)
        if not ser.isOpen():
            print("Open port fail")
            return False, ""

        at_cmd = at_command + "\r\n"
        ser.write(at_cmd.encode())
        if at_command == "at+cfun=1,1":
            print("Modem is reset, Please wait")
            sleep(15)
            return True
        msg = ser.read(1024)
        ser.close()

        res = str(msg).split("'")[1]
        if res == '':
            return False

        max_len = len(str(res).split("\\r\\n"))
        ret = str(res).split("\\r\\n")[1]
        return True, ret
    except:
        print("Not AT port")
        return False, None

if __name__=='__main__':
    res = False
    at_ret = None
    while not res or at_ret != "OK":
        sleep(3)
        res, at_ret = send_at(modem_port, "at")
    
      
