#!/bin/bash

AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`
readonly DATE=`date +%Y_%m_%d_%H_%M_%S`
OPEN_TRACE_CONFIG_LOG_NAME="open_trace_config.log"
log_file="/usr/local/fibocomtools/LOG/${DATE}/system_env_info.log"
check_echo_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
	fuser $AT_PORT >> /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo $AT_PORT" Port occupied"
		echo "use echo -e >"
	else
		echo $AT_PORT" ready"
	fi
}

check_open_port_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
#	fuser $AT_PORT -k >> /dev/null 2>&1
#	if [ $? -eq 0 ];then
#		echo $AT_PORT" Port occupied"
#		echo "run fail"
#		exit 0
#	else
#		echo $AT_PORT" ready"
#	fi
}


get_system_info(){
SYS_INFO_NAME="system_env_info.log"
	echo "--------  env start ---------" >> ${log_file} 
	echo "${DATE}:" >> ${log_file} 
	ps -ef | grep ModemManager >> ${log_file}
	ps -ef | grep fwswitch >> ${log_file} 
	ps -ef | grep NetworkManager >> ${log_file} 
	ls /dev/ttyACM* -lh >> ${log_file}
	fuser /dev/ttyACM*  >> ${log_file} 
	echo "--------  env end ---------" >> ${log_file} 
}


create_logsave_dir(){
    mkdir -p /usr/local/fibocomtools/LOG/${DATE}
    get_system_info
}

check_open_port_env
create_logsave_dir

#enable trace send at command
fuser $AT_PORT -k >> /dev/null 2>&1
cd /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON
./bin/ccom -p $AT_PORT -O >> /usr/local/fibocomtools/LOG/${DATE}/$OPEN_TRACE_CONFIG_LOG_NAME
cd /usr/local/fibocomtools/Tool/CAPTURE_TOOL/GL850
if [ $? -eq 0 ];then
	echo $AT_PORT" set open trace OK"
	echo "restart device wait 15s ..."
	sleep 15
	echo "OK"
else
	echo $AT_PORT" set open trace fail"
fi

