# Copyright 2015-2020 Fibocom Wireless Inc.. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash

DiskLimitSize="0.5"
DiskWarningSize="1"
DiskInfo=$(df -h /usr/local)
echo $DiskInfo
#echo $DiskInfo|cut -d " " -f11
DiskSize=`echo $DiskInfo|cut -d " " -f11`
#echo $DiskSize
FreeDiskSize=${DiskSize%?}
#echo $FreeDiskSize
ret=0
check_modem(){
	lsusb | grep "2cb7:01a0" > /dev/null 2>&1
	if [ $? == 0 ];then
		ret=1
	fi
}

if [[ $DiskLimitSize > $FreeDiskSize ]];
    then echo "Disk space limit, can not capture log"
else
    if [[ $DiskWarningSize > $FreeDiskSize ]];
        then echo "Disk space is less than 1G, please clear disk for enough disk space!!!"
    fi
	check_modem
	if [ $ret == 0 ];then
		FIRSTUSE=`cat /usr/local/fibocomtools/firstenable`
		if [ "$FIRSTUSE" == "FE" ]
		then
			echo "Running open trace for the first time"
			cd /usr/local/fibocomtools/CAPTURE_TOOL/GL850/
			./l850-opentrace.sh
			echo "SE" > /usr/local/fibocomtools/firstenable
		else
			echo "Without running open trace for the next time"
		fi
		cd /usr/local/fibocomtools/CAPTURE_TOOL/GL850/
        ./CaptureLog_Chrome.sh
	else
        cd /usr/local/fibocomtools/CAPTURE_TOOL/NL668/
        ./CaptureLog_Chrome.sh	
    fi	
fi	   

sync;sync;
