import os
import sys
import datetime as  dt
from serial import Serial
from time import sleep

# modem's port
modem_port = None

def send_at(port, at_command):
    try:
        ser = Serial(port, 11520, timeout=1)
        if not ser.isOpen():
            print("Open port fail")
            return False, None

        at_cmd = at_command+"\r\n"
        ser.write(at_cmd.encode())
        msg = ser.read(1024)
        ser.close()
        res = str(msg).split("'")[1]
        cmd = str(msg).split("\\r\\n")[0]

        max_len = len(str(res).split("\\r\\n"))
        for temp in range(1, max_len):
            print(str(res).split("\\r\\n")[temp])
        return True
    except:
        return True

if __name__ == '__main__':
    path=sys.argv[1]
    mbn_path = sys.argv[2]
    program_path = sys.argv[3]
    patch_path = sys.argv[4]
    time = dt.datetime.now().strftime("%Y-%m-%d-%H-%M-%S")
    download_cmd = "./bin/qdl --storage nand --include " + path + " " + mbn_path + " " + program_path + " " + patch_path +  "  > /usr/local/fibocomtools/" + time + ".log"
    # We should disable modemmanager first
    os.system("stop modemmanager")
    # set download mode
    send_at("/dev/ttyUSB1", "at+syscmd=sys_reboot edl")
    os.system(download_cmd)
    # We should enable modemmanager after flash
    os.system("start modemmanager")
