# Copyright 2021 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash
ret=0
check_modem(){
  lsusb | grep "2cb7:01a0" > /dev/null 2>&1
  if [ $? == 0 ];then
    ret=1
  fi
  lsusb | grep "2cb7:0007" > /dev/null 2>&1

  if [ $? == 0 ];then
    ret=2
  fi
}

search_fw() {
  fw_path="$1"
  echo $fw_path
  fw="$2"
  mode="$3"
  num=0
  echo "${num}. skip"
  for get_fw_name in $fw_path
  do
    num=`expr $num + 1`
    Fw_list[$num]="$get_fw_name"
    echo "$num. $get_fw_name"
  done
  read -p "please choose fw to flash:" i

  fw=${Fw_list[$i]}
}

main() {
  arg_1=$1
  arg_2=$2
  arg_3=$3

  check_modem
  if [ $ret == 1 ];then
    path="/usr/local/fibocomtools/modemfwd-firmware/nl668/*/Maincode"
    search_fw "`ls -d -1 ${path} | grep 19006`" "$fw" "$mode"
    fw=${fw}"/"
    echo $fw
    [ -n "${fw}" ] || die "Firmware not specified"
    [ -e "${fw}" ] || die "${fw} not found"
    ./NL668/bin/downloadtool ${fw}
  elif [ $ret == 2 ];then
    cd ./L850
	  ./l850-modem-EB-flash.sh
  else
    echo "no modem here"
  fi
}

main "$@"