# Copyright 2021 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

#!/bin/bash
ret=0
check_modem(){
  lsusb | grep "2cb7:01a0" > /dev/null 2>&1
  if [ $? == 0 ];then
    ret=1
  fi

  lsusb | grep "2cb7:0007" > /dev/null 2>&1
  if [ $? == 0 ];then
    ret=2
  fi
  
  lsusb | grep "2cb7:01a2" > /dev/null 2>&1
  if [ $? == 0 ];then
    ret=3
  fi
}

main() {
  arg_1=$1
  arg_2=$2
  arg_3=$3

  check_modem
  if [ $ret == 1 ];then
    cd ./NL668
    ./nl668-modem-firmware-update.sh $arg_1
  elif [ $ret == 2 ];then
    cd ./L850
	./l850-modem-firmware-update.sh $arg_1 $arg_2 $arg_3
  elif [ $ret == 3 ];then
    cd ./FM101
    python3 temp.py 
  else
    echo "no modem here"
  fi
}



main "$@"
